---
references:
- id: Allen-ZhuDoubly2017
  author:
    - family: Allen-Zhu
      given: Zeyuan
    - family: Li
      given: Yuanzhi
  citation-key: Allen-ZhuDoubly2017
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  language: en
  page: 98-106
  title: Doubly Accelerated Methods for Faster CCA and Generalized Eigendecomposition
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/allen-zhu17b.html

- id: BachKernel2002
  author:
    - family: Bach
      given: Francis R
    - family: Jordan
      given: Michael I
  citation-key: BachKernel2002
  container-title: Journal of Machine Learning Research
  issued:
    - year: 2002
      month: 7
  language: en
  page: '48'
  title: Kernel Independent Component Analysis
  type: article-journal
  volume: '3'

- id: BorelloStandardization2013
  author:
    - family: Borello
      given: Melinda
  citation-key: BorelloStandardization2013
  issued:
    - year: 2013
  language: en
  title: >-
    Standardization and Singular Value Decomposition in Canonical Correlation
    Analysis
  type: thesis

- id: CherrySingular1996
  accessed:
    - year: 2023
      month: 5
      day: 16
  author:
    - family: Cherry
      given: Steve
  citation-key: CherrySingular1996
  container-title: Journal of Climate
  DOI: 10.1175/1520-0442(1996)009<2003:SVDAAC>2.0.CO;2
  ISSN: 0894-8755
  issue: '9'
  issued:
    - year: 1996
  page: 2003-2009
  publisher: American Meteorological Society
  section: Journal of Climate
  title: Singular Value Decomposition Analysis and Canonical Correlation Analysis
  type: article-journal
  volume: '9'

- id: CichockiLowRank2016
  accessed:
    - year: 2016
      month: 9
      day: 9
  author:
    - family: Cichocki
      given: A.
    - family: Lee
      given: N.
    - family: Oseledets
      given: I. V.
    - family: Phan
      given: A.-H.
    - family: Zhao
      given: Q.
    - family: Mandic
      given: D.
  citation-key: CichockiLowRank2016
  container-title: arXiv:1609.00893 [cs]
  issued:
    - year: 2016
      month: 9
      day: 4
  title: >-
    Low-Rank Tensor Networks for Dimensionality Reduction and Large-Scale
    Optimization Problems: Perspectives and Challenges PART 1
  type: article-journal
  URL: http://arxiv.org/abs/1609.00893

- id: EwerbringCanonical1989
  accessed:
    - year: 2023
      month: 5
      day: 16
  author:
    - family: Ewerbring
      given: L. Magnus
    - family: Luk
      given: Franklin T.
  citation-key: EwerbringCanonical1989
  collection-title: Special Issue on Parallel Algorithms for Numerical Linear Algebra
  container-title: Journal of Computational and Applied Mathematics
  container-title-short: Journal of Computational and Applied Mathematics
  DOI: 10.1016/0377-0427(89)90360-9
  ISSN: 0377-0427
  issue: '1'
  issued:
    - year: 1989
      month: 9
      day: 1
  language: en
  page: 37-52
  title: 'Canonical correlations and generalized SVD: Applications and new algorithms'
  type: article-journal
  volume: '27'

- id: HorvathInference2012
  author:
    - family: Horváth
      given: Lajos
    - family: Kokoszka
      given: Piotr
  citation-key: HorvathInference2012
  collection-title: Springer series in statistics
  event-place: New York
  ISBN: 978-1-4614-3655-3 978-1-4614-3654-6
  issued:
    - year: 2012
  language: eng
  number-of-pages: '422'
  publisher: Springer
  publisher-place: New York
  title: Inference for functional data with applications
  type: book
  volume: '200'

- id: KnappCanonical1978
  accessed:
    - year: 2023
      month: 5
      day: 16
  author:
    - family: Knapp
      given: Thomas R.
  citation-key: KnappCanonical1978
  container-title: Psychological Bulletin
  DOI: 10.1037/0033-2909.85.2.410
  event-place: US
  ISSN: 1939-1455
  issue: '2'
  issued:
    - year: 1978
  page: '410'
  publisher: 'US: American Psychological Association'
  publisher-place: US
  title: >-
    Canonical correlation analysis: A general parametric significance-testing
    system.
  type: article-journal
  volume: '85'

- id: Lopez-PazRandomized2014
  accessed:
    - year: 2015
      month: 5
      day: 2
  author:
    - family: Lopez-Paz
      given: David
    - family: Sra
      given: Suvrit
    - family: Smola
      given: Alex
    - family: Ghahramani
      given: Zoubin
    - family: Schölkopf
      given: Bernhard
  citation-key: Lopez-PazRandomized2014
  container-title: arXiv:1402.0119 [cs, stat]
  issued:
    - year: 2014
      month: 2
      day: 1
  title: Randomized Nonlinear Component Analysis
  type: article-journal
  URL: http://arxiv.org/abs/1402.0119

- id: McWilliamsCorrelated2013
  author:
    - family: McWilliams
      given: Brian
    - family: Balduzzi
      given: David
    - family: Buhmann
      given: Joachim M
  citation-key: McWilliamsCorrelated2013
  container-title: Advances in Neural Information Processing Systems 26
  editor:
    - family: Burges
      given: C. J. C.
    - family: Bottou
      given: L.
    - family: Welling
      given: M.
    - family: Ghahramani
      given: Z.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2013
  page: 440–448
  publisher: Curran Associates, Inc.
  title: Correlated random features for fast semi-supervised learning
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5000-correlated-random-features-for-fast-semi-supervised-learning.pdf
  volume: '1050'

- id: RamsayFunctional2005
  accessed:
    - year: 2016
      month: 1
      day: 5
  author:
    - family: Ramsay
      given: Jim O.
    - family: Silverman
      given: B.W
  citation-key: RamsayFunctional2005
  collection-title: Springer Series in Statistics
  event-place: New York
  ISBN: 978-0-387-22751-1
  issued:
    - year: 2005
  language: en
  publisher: Springer-Verlag
  publisher-place: New York
  title: Functional Data Analysis
  type: book
  URL: http://link.springer.com/10.1007/b98888

- id: WittenExtensions2009
  accessed:
    - year: 2014
      month: 7
      day: 9
  author:
    - family: Witten
      given: Daniela M
    - family: Tibshirani
      given: Robert J.
  citation-key: WittenExtensions2009
  container-title: Statistical applications in genetics and molecular biology
  DOI: 10.2202/1544-6115.1470
  issue: '1'
  issued:
    - year: 2009
  page: 1–27
  title: >-
    Extensions of sparse canonical correlation analysis with applications to
    genomic data
  type: article-journal
  URL: http://www.biostat.washington.edu/~dwitten/Papers/sagmb.pdf
  volume: '8'

- id: WittenPenalized2009
  accessed:
    - year: 2014
      month: 7
      day: 9
  author:
    - family: Witten
      given: Daniela M.
    - family: Tibshirani
      given: Robert
    - family: Hastie
      given: Trevor
  citation-key: WittenPenalized2009
  container-title: Biostatistics
  container-title-short: Biostat
  DOI: 10.1093/biostatistics/kxp008
  ISSN: 1465-4644, 1468-4357
  issued:
    - year: 2009
      month: 1
      day: 1
  language: en
  page: kxp008
  title: >-
    A penalized matrix decomposition, with applications to sparse principal
    components and canonical correlation analysis
  type: article-journal
  URL: >-
    http://biostatistics.oxfordjournals.org/content/early/2009/04/17/biostatistics.kxp008

- id: YangIndependence2015
  accessed:
    - year: 2021
      month: 11
      day: 28
  author:
    - family: Yang
      given: Yanrong
    - family: Pan
      given: Guangming
  citation-key: YangIndependence2015
  container-title: The Annals of Statistics
  container-title-short: Ann. Statist.
  DOI: 10.1214/14-AOS1284
  ISSN: 0090-5364
  issue: '2'
  issued:
    - year: 2015
      month: 4
      day: 1
  language: en
  title: >-
    Independence test for high dimensional data based on regularized canonical
    correlation coefficients
  type: article-journal
  volume: '43'
...
